//Serena Bailey ITDEV140 Downtown Campus AM
package bailey_zookeeper;

import javax.sound.sampled.LineUnavailableException;

/**
 *
 * @author sailo
 */
public class Controller {
    
    //all of the declarations for each of the animals.
    Animal myAnimals;
    
    Mammal mammal;
    Mammal lion;
    Mammal bear;
    Mammal elephant;
    
    Reptile reptile;
    Reptile snake;
    Reptile turtle;
    Reptile gecko;
    
    Bird bird;
    Bird eagle;
    Bird finch;
    Bird parrot;

    public void MeetTheAnimals() throws InterruptedException, LineUnavailableException
    {
        //animals with their information already fed in for display..
        myAnimals = new Animal("Type", 0, 0, "Gender", "Diet", "Location");
        
        lion = new Mammal("Lion", 10, 957678, "Male", "Carnivore", "Big Cat Field", "Clarence", 60.8, 5);
        bear = new Mammal("Bear", 8, 989718, "Female", "Omnivore", "Bear Island", "Yogi", 122.9, 4);
        elephant = new Mammal("Elephant", 15, 944748, "Female", "Herbivore", "Africa Island", "Dumbo", 256.8, 3);
        
        snake = new Reptile("Snake", 5, 678944, "Male", "Carnivore", "Grassy Field House", false, true);
        turtle = new Reptile("Turtle", 18, 605647, "Male", "Herbivore", "Central Pond", true, true);
        gecko = new Reptile("Gecko", 15, 645033, "Female", "Herbivore", "Tropical House", false, true);
        
        eagle = new Bird("Eagle", 9, 3344448, "Male", "Carnivore", "Building 53", true, true);
        finch = new Bird("Finch", 3, 3940498, "Female", "Herbivore", "Building 23", true, false);
        parrot = new Bird("Parrot", 13, 345212, "Male", "Herbivore", "Tropical Village", true, false);
    
        //to call to all of the objects that are delcared below for each animal.
        Mammal obj = lion;
        showLion(obj);
        Mammal obj1 = bear;
        showBear(obj1);
        Mammal obj2 = elephant;
        showElephant(obj2);
        
        Reptile obj3 = snake;
        showSnake(obj3);
        Reptile obj4 = turtle;
        showTurtle(obj4);
        Reptile obj5 = gecko;
        showGecko(obj5);
        
        Bird obj6 = eagle;
        showEagle(obj6);
        Bird obj7 = finch;
        showFinch(obj7);
        Bird obj8 = parrot;
        showParrot(obj8);
    
        View v = new View();        //prompt after the user sees all of the animals.
        v.gameOptions();
    }
    
    //below are all of the objects for each of the mammals, reptiles and birds.
    public void showLion(Mammal obj)
    {
        System.out.println("\n\t\tMammal Type: \t\t" + obj.getType());
        System.out.println("\t\tMammal Age: \t\t" + obj.getAnimalAge());
        System.out.println("\t\tMammal ID: \t\t" + obj.getID());
        System.out.println("\t\tMammal Gender: \t\t" + obj.getGender());
        System.out.println("\t\tMammal Diet: \t\t" + obj.getDiet());
        System.out.println("\t\tMammal Zoo Location: \t" + obj.getLocation());
        System.out.println("\t\tMammal Name: \t\t" + obj.getMammalName());
        System.out.println("\t\tMammal Weight: \t\t" + obj.getWeight());
        System.out.println("\t\tMammal Daily Meals: \t" + obj.getDailyMealCount());
        System.out.println("\t\tMammal Moves: \t\t" + obj.move());
    }
    
    public void showBear(Mammal obj1)
    {
        System.out.println("\n\t\tMammal Type: \t\t" + obj1.getType());
        System.out.println("\t\tMammal Age: \t\t" + obj1.getAnimalAge());
        System.out.println("\t\tMammal ID: \t\t" + obj1.getID());
        System.out.println("\t\tMammal Gender: \t\t" + obj1.getGender());
        System.out.println("\t\tMammal Diet: \t\t" + obj1.getDiet());
        System.out.println("\t\tMammal Zoo Location: \t" + obj1.getLocation());
        System.out.println("\t\tMammal Name: \t\t" + obj1.getMammalName());
        System.out.println("\t\tMammal Weight: \t\t" + obj1.getWeight());
        System.out.println("\t\tMammal Daily Meals: \t" + obj1.getDailyMealCount());
        System.out.println("\t\tMammal Moves: \t\t" + obj1.move());
    }
    
    public void showElephant(Mammal obj2)
    {
        System.out.println("\n\t\tMammal Type: \t\t" + obj2.getType());
        System.out.println("\t\tMammal Age: \t\t" + obj2.getAnimalAge());
        System.out.println("\t\tMammal ID: \t\t" + obj2.getID());
        System.out.println("\t\tMammal Gender: \t\t" + obj2.getGender());
        System.out.println("\t\tMammal Diet: \t\t" + obj2.getDiet());
        System.out.println("\t\tMammal Zoo Location: \t" + obj2.getLocation());
        System.out.println("\t\tMammal Name: \t\t" + obj2.getMammalName());
        System.out.println("\t\tMammal Weight: \t\t" + obj2.getWeight());
        System.out.println("\t\tMammal Daily Meals: \t" + obj2.getDailyMealCount());
        System.out.println("\t\tMammal Moves: \t\t" + obj2.move());
    }
    
    public void showSnake(Reptile obj3)
    {
        System.out.println("\n\t\tReptile Type: \t\t" + obj3.getType());
        System.out.println("\t\tReptile Age: \t\t" + obj3.getAnimalAge());
        System.out.println("\t\tReptile ID: \t\t" + obj3.getID());
        System.out.println("\t\tReptile Gender: \t" + obj3.getGender());
        System.out.println("\t\tReptile Diet: \t\t" + obj3.getDiet());
        System.out.println("\t\tReptile Zoo Location: \t" + obj3.getLocation());
        System.out.println("\t\tReptile Has Shell? \t" + obj3.getHasShell());
        System.out.println("\t\tReptile Lives Indoors? \t" + obj3.getLivesIndoors());
        System.out.println("\t\tReptile Moves: \t\t" + obj3.move());
    }
    
    public void showTurtle(Reptile obj4)
    {
        System.out.println("\n\t\tReptile Type: \t\t" + obj4.getType());
        System.out.println("\t\tReptile Age: \t\t" + obj4.getAnimalAge());
        System.out.println("\t\tReptile ID: \t\t" + obj4.getID());
        System.out.println("\t\tReptile Gender: \t" + obj4.getGender());
        System.out.println("\t\tReptile Diet: \t\t" + obj4.getDiet());
        System.out.println("\t\tReptile Zoo Location: \t" + obj4.getLocation());
        System.out.println("\t\tReptile Has Shell? \t" + obj4.getHasShell());
        System.out.println("\t\tReptile Lives Indoors? \t" + obj4.getLivesIndoors());
        System.out.println("\t\tReptile Moves: \t\t" + obj4.move());
    }
    
    public void showGecko(Reptile obj5)
    {
        System.out.println("\n\t\tReptile Type: \t\t" + obj5.getType());
        System.out.println("\t\tReptile Age: \t\t" + obj5.getAnimalAge());
        System.out.println("\t\tReptile ID: \t\t" + obj5.getID());
        System.out.println("\t\tReptile Gender: \t" + obj5.getGender());
        System.out.println("\t\tReptile Diet: \t\t" + obj5.getDiet());
        System.out.println("\t\tReptile Zoo Location: \t" + obj5.getLocation());
        System.out.println("\t\tReptile Has Shell? \t" + obj5.getHasShell());
        System.out.println("\t\tReptile Lives Indoors? \t" + obj5.getLivesIndoors());
        System.out.println("\t\tReptile Moves: \t\t" + obj5.move());
    }
    
    public void showEagle(Bird obj6)
    {
        System.out.println("\n\t\tBird Type: \t\t" + obj6.getType());
        System.out.println("\t\tBird Age: \t\t" + obj6.getAnimalAge());
        System.out.println("\t\tBird ID: \t\t" + obj6.getID());
        System.out.println("\t\tBird Gender: \t\t" + obj6.getGender());
        System.out.println("\t\tBird Diet: \t\t" + obj6.getDiet());
        System.out.println("\t\tBird Zoo Location: \t" + obj6.getLocation());
        System.out.println("\t\tBird Is Tagged? \t" + obj6.getIsTagged());
        System.out.println("\t\tBird Is Carnivore? \t" + obj6.getIsCarnivore());
        System.out.println("\t\tBird Moves: \t\t" + obj6.move());
    }
    
    public void showFinch(Bird obj7)
    {
        System.out.println("\n\t\tBird Type: \t\t" + obj7.getType());
        System.out.println("\t\tBird Age: \t\t" + obj7.getAnimalAge());
        System.out.println("\t\tBird ID: \t\t" + obj7.getID());
        System.out.println("\t\tBird Gender: \t\t" + obj7.getGender());
        System.out.println("\t\tBird Diet: \t\t" + obj7.getDiet());
        System.out.println("\t\tBird Zoo Location: \t" + obj7.getLocation());
        System.out.println("\t\tBird Is Tagged? \t" + obj7.getIsTagged());
        System.out.println("\t\tBird Is Carnivore? \t" + obj7.getIsCarnivore());
        System.out.println("\t\tBird Moves: \t\t" + obj7.move());
    }
   
    public void showParrot(Bird obj8)
    {
        System.out.println("\n\t\tBird Type: \t\t" + obj8.getType());
        System.out.println("\t\tBird Age: \t\t" + obj8.getAnimalAge());
        System.out.println("\t\tBird ID: \t\t" + obj8.getID());
        System.out.println("\t\tBird Gender: \t\t" + obj8.getGender());
        System.out.println("\t\tBird Diet: \t\t" + obj8.getDiet());
        System.out.println("\t\tBird Zoo Location: \t" + obj8.getLocation());
        System.out.println("\t\tBird Is Tagged? \t" + obj8.getIsTagged());
        System.out.println("\t\tBird Is Carnivore? \t" + obj8.getIsCarnivore());
        System.out.println("\t\tBird Moves: \t\t" + obj8.move());
    }
   
    public void MeetTheMammals() throws InterruptedException, LineUnavailableException
    {
        //display information for only the mammals if the user wants to only see these.
        lion = new Mammal("Lion", 10, 957678, "Male", "Carnivore", "Big Cat Field", "Clarence", 60.8, 5);
        bear = new Mammal("Bear", 8, 989718, "Female", "Omnivore", "Bear Island", "Yogi", 122.9, 4);
        elephant = new Mammal("Elephant", 15, 944748, "Female", "Herbivore", "Africa Island", "Dumbo", 256.8, 3);
    
        Mammal obj = lion;
        showLion(obj);
        Mammal obj1 = bear;
        showBear(obj1);
        Mammal obj2 = elephant;
        showElephant(obj2);

        View v = new View();        //prompt to return to the menu
        v.gameOptions();
    }
    
    public void MeetTheReptiles() throws InterruptedException, LineUnavailableException
    {
        //display information for only the mammals if the user wants to only see these.
        snake = new Reptile("Snake", 5, 678944, "Male", "Carnivore", "Grassy Field House", false, true);
        turtle = new Reptile("Turtle", 18, 605647, "Male", "Herbivore", "Central Pond", true, true);
        gecko = new Reptile("Gecko", 15, 645033, "Female", "Herbivore", "Tropical House", false, true);
    
        Reptile obj3 = snake;
        showSnake(obj3);
        Reptile obj4 = turtle;
        showTurtle(obj4);
        Reptile obj5 = gecko;
        showGecko(obj5);
        
        View v = new View();        //prompt to return to the menu.
        v.gameOptions();
    }
    
    public void MeetTheBirds() throws InterruptedException, LineUnavailableException
    {
        //display information for only the mammals if the user wants to only see these.
        eagle = new Bird("Eagle", 9, 3344448, "Male", "Carnivore", "Building 53", true, true);
        finch = new Bird("Finch", 3, 3940498, "Female", "Herbivore", "Building 23", true, false);
        parrot = new Bird("Parrot", 13, 345212, "Male", "Herbivore", "Tropical Village", true, false);
    
        Bird obj6 = eagle;
        showEagle(obj6);
        Bird obj7 = finch;
        showFinch(obj7);
        Bird obj8 = parrot;
        showParrot(obj8);
        
        View v = new View();        //prompt to return to the menu.
        v.gameOptions();
    }
}
